%define __kde4_alternate_placement 1

%def_disable kmilo

%define rname kdeutils
Name: kde4utils
%define major 4
%define minor 1
%define bugfix 3
Version: %major.%minor.%bugfix
Release: alt1.M41.1

Group: Graphical desktop/KDE
Summary: K Desktop Environment
License: GPL
Url: http://www.kde.org

Requires: liboktetagui4 = %version-%release
Requires: liboktetacore4 = %version-%release
Requires: libkerfuffle4 = %version-%release
Requires: libsuperkaramba4 = %version-%release
Requires: %name-okteta = %version-%release
Requires: %name-kcalc = %version-%release
Requires: %name-kcharselect = %version-%release
Requires: %name-kdessh = %version-%release
Requires: %name-kdf = %version-%release
Requires: %name-kfloppy = %version-%release
Requires: %name-kgpg = %version-%release
%if_enabled kmilo
Requires: libkmilo4 = %version-%release
Requires: %name-laptop = %version-%release
%endif
Requires: %name-ktimer = %version-%release
Requires: %name-kwallet = %version-%release
Requires: %name-superkaramba = %version-%release
Requires: %name-ark = %version-%release
Requires: %name-sweeper = %version-%release
Requires: %name-print = %version-%release

Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeutils-%version.tar
Patch1: kdeutils-4.1.3-alt-find-cupshelpers.patch

BuildRequires: gcc-c++ libnet-snmp-devel libgmp-devel bzlib-devel libldap-devel
BuildRequires: libqimageblitz-devel python-devel libzip-devel libarchive-devel
BuildRequires: python-module-cups python-module-cupshelpers python-module-kde4
#BuildRequires:  hal-cups-utils
%ifarch %ix86
#BuildRequires: libtpctl-devel
%endif
BuildRequires: kde4base-workspace-devel >= %version kde4pimlibs-devel >= %version

%description
KDE utilites
* kcalc: scientific calculator
* kcharselect: select special characters from any fonts and put them into
               the clipboard
* charselectapplet: dito, but as a Kicker applet
* kdessh: front end to ssh
* kdf: like 'df', a graphical free disk space viewer
* kfloppy: format a floppy disks with this app
* kgpg: graphical GPG frontend
* khexedit: binary file editor
%if_enabled kmilo
* klaptopdaemon: battery and power management, including KControl plugins
%endif
* ktimer: execute programs after some time
* sweeper
* kwalletmanager

%package common
Summary: %name core files
Group: System/Configuration/Other
Requires: kde-common >= %major-%minor
%description common
Core files for %name.

%package okteta
Summary: Byte level data editor
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%ifdef __kde4_alternate_placement
%else
Obsoletes: kdeutils-hexeditor < 4
%endif
%description okteta
Viewing and editing of data on the byte level

%package -n liboktetacore4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n liboktetacore4
KDE 4 library

%package -n liboktetagui4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n liboktetagui4
KDE 4 library

%package kcalc
Summary: KDE scientific calculator
Group: Office
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kcalc
KDE scientific calculator

%package kcharselect
Summary: KDE special characters selector
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kcharselect
Select special characters from any fonts and put them into the clipboard

%package kdessh
Summary: KDE front end to ssh
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kdessh
KDE front end to ssh

%package kdf
Summary: %name kdf
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kdf
%name kdf.

%package kfloppy
Summary: KDE floppy disks formater
Group: System/Configuration/Hardware
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: dosfstools
%description kfloppy
Format a floppy disks

%package kgpg
Summary: KDE graphical frontend to GPG
Group: File tools
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kgpg
Graphical GPG frontend

%package laptop
Summary: KDE laptop utilities
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%ifarch %ix86
Requires: tpctl
%endif
%description laptop
Battery and power management, including System-Settings plugins

%package -n libkmilo4
Summary: KDE 4 library
Group: System/Libraries
Requires: libqt4-core >= %{get_version libqt4-core}
Requires: %name-common = %version-%release
%description -n libkmilo4
KDE 4 library

%package ktimer
Summary: KDE program executor
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
%description ktimer
Execute programs after some time

%package kwallet
Summary: %name kwallet
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kwallet
%name kwallet.

%package superkaramba
Summary: %name superkaramba
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description superkaramba
%name superkaramba.

%package ark
Summary: KDE archivers frontend
Group: Archiving/Compression
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description ark
Frontend to many archivers

%package -n libkerfuffle4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkerfuffle4
KDE 4 library

%package -n libsuperkaramba4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libsuperkaramba4
KDE 4 library

%package sweeper
Summary: KDE system cleaner
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description sweeper
System Cleaner for KDE

%package print
Summary: Applet to view current print jobs and configure new printers
Group: Graphical desktop/KDE
URL: http://utils.kde.org/projects/printer-applet
Requires: %name-common = %version-%release
Requires: python-module-kde4 >= %version
#Requires: python-cups
#Requires: python-qt4
#Requires: python-dbus
Requires: hal-cups-utils

%description print
Printer Applet is a system tray utility that shows current print jobs,
shows printer warnings and errors and shows when printers that have
been plugged in for the first time are being auto-configured by
hal-cups-utils.

%prep
%setup -q -n %rname-%version
%patch1 -p1

%build
%K4cmake \
    -DLIBZIP_INCLUDE_DIR=%_includedir/libzip

%K4make


%install
%K4install


%files
%files common
%doc README

%files okteta
%__kde4_bindir/okteta
%_K4lib/libkbytearrayedit.so
%_K4lib/liboktetapart.so
%__kde4_xdg_apps/okteta.desktop
%_K4apps/okteta/
%_K4apps/oktetapart/
%__kde4_iconsdir/hicolor/*/apps/okteta.*
%_K4srv/kbytearrayedit.desktop
%_K4srv/oktetapart.desktop
%__kde4_doc/en/okteta

%files -n liboktetacore4
%_K4libdir/liboktetacore.so.*

%files -n liboktetagui4
%_K4libdir/liboktetagui.so.*

%files kcalc
%__kde4_bindir/kcalc
%_K4libdir/libkdeinit4_kcalc.so
%_K4apps/kcalc/
%_K4apps/kconf_update/kcalcrc.upd
%__kde4_xdg_apps/kcalc.desktop
%_K4cfg/kcalc.kcfg
%__kde4_iconsdir/hicolor/*/apps/kcalc.*
%__kde4_doc/*/kcalc

%files kcharselect
%__kde4_bindir/kcharselect
%_K4apps/kcharselect/
%_K4apps/kconf_update/kcharselect.upd
%__kde4_xdg_apps/KCharSelect.desktop
#%__kde4_iconsdir/hicolor/*/apps/kcharselect.*
%__kde4_doc/*/kcharselect

%files kdessh
%__kde4_bindir/kdessh

%files kdf
%__kde4_bindir/kdf
%__kde4_bindir/kwikdisk
%_K4lib/kcm_kdf.so
%_K4apps/kdf/
%__kde4_xdg_apps/kdf.desktop
%__kde4_xdg_apps/kwikdisk.desktop
%_K4srv/kcmdf.desktop
%_K4iconsdir/oxygen/*/apps/kcmdf.*
%__kde4_iconsdir/hicolor/*/apps/kdf.*
%__kde4_iconsdir/hicolor/*/apps/kwikdisk.*
%__kde4_doc/*/kdf
%__kde4_doc/*/kcontrol/blockdevices


%files kfloppy
%__kde4_bindir/kfloppy
%__kde4_xdg_apps/KFloppy.desktop
%_K4srv/ServiceMenus/floppy_format.desktop
%__kde4_iconsdir/hicolor/*/apps/kfloppy.*
%__kde4_doc/*/kfloppy

%files kgpg
%__kde4_bindir/kgpg
%__kde4_xdg_apps/kgpg.desktop
%_K4apps/kgpg/
%_K4srv/ServiceMenus/encryptfile.desktop
%_K4srv/ServiceMenus/encryptfolder.desktop
%_K4start/kgpg.desktop
%_K4cfg/kgpg.kcfg
%_K4dbus_interfaces/org.kde.kgpg.Key.xml
%__kde4_iconsdir/hicolor/*/apps/kgpg.*
%__kde4_doc/*/kgpg

%if_enabled kmilo
%files laptop
%_K4lib/kcm_thinkpad.so
%_K4lib/kded_kmilod.so
%_K4lib/kmilo_asus.so
%_K4lib/kmilo_kvaio.so
%_K4lib/kmilo_thinkpad.so
%_K4lib/kcm_kvaio.so
%_K4lib/kmilo_delli8k.so
#%__kde4_iconsdir/hicolor/*/apps/kmilo.*
%_K4srv/kmilo/
%_K4srv/kvaio.desktop
%_K4srv/kded/kmilod.desktop
%_K4srv/thinkpad.desktop
%_K4srvtyp/kmilo/
%_K4dbus_interfaces/org.kde.kmilod.xml

%files -n libkmilo4
%_K4libdir/libkmilo.so.*
%endif

%files ktimer
%__kde4_bindir/ktimer
%__kde4_xdg_apps/ktimer.desktop
%__kde4_iconsdir/hicolor/*/apps/ktimer.*
%__kde4_doc/*/ktimer

%files kwallet
%__kde4_bindir/kwalletmanager
%_K4lib/kcm_kwallet.so
%_K4apps/kwalletmanager/
%__kde4_xdg_apps/kwalletmanager-kwalletd.desktop
%__kde4_xdg_apps/kwalletmanager.desktop
%_K4srv/kwalletconfig.desktop
%_K4srv/kwalletmanager_show.desktop
%__kde4_iconsdir/hicolor/*/apps/kwalletmanager*.*
%__kde4_doc/*/kwallet

%files superkaramba
%__kde4_bindir/superkaramba
%_K4lib/plasma_package_superkaramba.so
%_K4lib/plasma_scriptengine_superkaramba.so
%_K4apps/superkaramba/
%_K4srv/plasma-package-superkaramba.desktop
%_K4srv/plasma-scriptengine-superkaramba.desktop
%_K4conf/superkaramba.knsrc
%__kde4_xdg_apps/superkaramba.desktop
%_K4dbus_interfaces/org.kde.superkaramba.xml
%__kde4_iconsdir/hicolor/*/apps/superkaramba.*
%__kde4_doc/*/superkaramba

%files ark
%__kde4_bindir/ark/
%_K4lib/libarkpart.so
%_K4lib/kerfuffle_*
%_K4apps/ark/
%_K4cfg/ark.kcfg
%_K4srv/ark_part.desktop
%_K4srv/kerfuffle_*
%_K4srvtyp/kerfufflePlugin.desktop
%__kde4_xdg_apps/ark.desktop
#%__kde4_iconsdir/hicolor/*/apps/ark.*
%__kde4_doc/*/ark

%files -n libkerfuffle4
%_K4libdir/libkerfuffle.so.*

%files -n libsuperkaramba4
%_K4libdir/libsuperkaramba.so.*

%files sweeper
%__kde4_bindir/sweeper
%_K4apps/sweeper/
%__kde4_xdg_apps/sweeper.desktop
#%__kde4_iconsdir/hicolor/*/apps/sweeper.*
%_K4dbus_interfaces/org.kde.sweeper.xml

%files print
%__kde4_bindir/printer-applet
%_K4apps/printer-applet/
%_K4start/printer-applet.desktop

%changelog
* Mon Dec 01 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1.M41.1
- built for M41

* Fri Nov 21 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt2
- build printer-applet

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Wed Oct 08 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Fri Sep 05 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Sat Aug 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Tue Jun 03 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Wed May 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Wed Apr 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- new version

* Mon Mar 24 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt1
- initial specfile
